Bug 1559622 - Add note to rhq-server.properties about URL format and values dependent on database configuration
Summary: Add note to rhq-server.properties about URL format and values dependent on da...
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Configuration
Version: JON 3.3.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ER01
: JON 3.3.11
Assignee: Josejulio Martínez
QA Contact: Prachi
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1557300
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 22:03 UTC by Larry O'Leary
Modified: 2018-10-16 17:07 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 17:06:49 UTC


Attachments (Terms of Use)
Latest server configuration file (18.83 KB, text/plain)
2018-09-20 17:18 UTC, Prachi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2930 None None None 2018-10-16 17:07 UTC
Red Hat Knowledge Base (Solution) 18896 None None None 2018-10-09 18:50 UTC

Description Larry O'Leary 2018-03-22 22:03:07 UTC
In some cases a customer may be using Oracle RAC or other data replication service that requires a URL that specifies multiple hosts or other fail-over property configuration. In these cases, rhq-server.properties should remind the customer to obtain and use the appropriate URL.

My suggestion is something similar to:

--- a/modules/enterprise/server/appserver/src/main/scripts/rhq-container.build.xml
+++ b/modules/enterprise/server/appserver/src/main/scripts/rhq-container.build.xml
@@ -601,6 +601,11 @@
 #   - uncomment the Oracle settings below
 #   - adjust the values to match your environment
 #
+# For proper URL format and property values, you may need to consult your
+# database administrator or database documentation. This is an important
+# consideration when using Oracle Real Application Clusters or other data 
+# replication or fail-over configurations.
+#
 # NOTE: rhq.server.database.password is not to be set to the actual password
 #       but instead should be the encoded password value as generated by:
 #          rhq-encode-value.sh(.bat)

Comment 1 Josejulio Martínez 2018-08-15 18:12:05 UTC
commit 4e8eef921fac73d93dbf431642bbebf48ef13269
Author: Josejulio Martínez <finwemartinez@gmail.com>
Date:   Wed Aug 15 05:19:00 2018 -0500

    Bug 1559622 - Add note to rhq-server.properties about URL format (#347)
    
    and values dependent on database configuration

Comment 4 Prachi 2018-09-20 17:17:20 UTC
Verified

Comment 5 Prachi 2018-09-20 17:18 UTC
Created attachment 1485238 [details]
Latest server configuration file

Comment 7 errata-xmlrpc 2018-10-16 17:06:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2930


Note You need to log in before you can comment on or make changes to this bug.